Skip to main content
Get the Skill Cluster adoption report
curl --request POST \
  --url https://{tenant_name}.{region}.techwolf.ai/reports/employees/skill_cluster_adoption \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "group_by_custom_property": "Department",
  "relevant_skill_clusters": [
    "Artificial Intelligence",
    "Programming Languages"
  ]
}
'
{
  "report_name": "employee_skill_cluster_adoption",
  "report_data": {
    "property_name": "Department",
    "heatmap": [
      {
        "property_value": "IT & Engineering",
        "skill_clusters": [
          {
            "skill_cluster_name": "Artificial Intelligence",
            "adoption": 0.6
          },
          {
            "skill_cluster_name": "Programming Languages",
            "adoption": 0.2
          }
        ]
      },
      {
        "property_value": "Sales",
        "skill_clusters": [
          {
            "skill_cluster_name": "Artificial Intelligence",
            "adoption": 0.1
          },
          {
            "skill_cluster_name": "Programming Languages",
            "adoption": 0.2
          }
        ]
      }
    ],
    "skill_cluster_adoption": [
      {
        "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
        "property_value": "IT & Engineering",
        "assigned_position": "Software Engineer",
        "skill_clusters": [
          {
            "skill_cluster_name": "Programming Languages",
            "proficiency_level": 2
          },
          {
            "skill_cluster_name": "DevOps",
            "proficiency_level": 3
          }
        ]
      },
      {
        "external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
        "property_value": "Research",
        "assigned_position": "NLP Engineer",
        "skill_clusters": [
          {
            "skill_cluster_name": "Artificial Intelligence",
            "proficiency_level": 2
          }
        ]
      }
    ],
    "skill_breakdown": [
      {
        "external_id": "5cbdbdbe-5f44-4423-8157-520f8a2f429a",
        "skill_clusters": [
          {
            "skill_cluster_name": "Programming Languages",
            "skills": [
              {
                "name": "Python"
              },
              {
                "name": "Java"
              }
            ]
          },
          {
            "skill_cluster_name": "Artificial Intelligence",
            "skills": [
              {
                "name": "Machine Learning"
              },
              {
                "name": "Deep Learning"
              }
            ]
          }
        ]
      },
      {
        "external_id": "61a6e076-d780-11ec-9d64-0242ac120002",
        "skill_clusters": [
          {
            "skill_cluster_name": "Artificial Intelligence",
            "skills": [
              {
                "name": "Deep Learning"
              }
            ]
          }
        ]
      }
    ]
  },
  "last_update": "2020-09-01T11:45:49Z"
}

Documentation Index

Fetch the complete documentation index at: https://developers.techwolf.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Query Parameters

file_format
enum<string>
default:json

The output format in which the report will be returned. When csv is chosen, a ZIP file is returned containing the three reports in csv format.

Available options:
json,
csv
force_recalculate
boolean
default:false

Reports are always stored for a certain time, and if this endpoint is called again within that time, the stored report is returned without recalculating. If force_recalculate is set to true, the report is recalculated and the stored report is overwritten.

Body

application/json

Filters for the Skill Cluster adoption report

group_by_custom_property
string
required

Group the output by this property.

Example:

"Department"

relevant_skill_clusters
string[]
required

List of Skill Clusters used for the Skill Cluster adoption report.

Minimum string length: 1
Example:
[
  "Artificial Intelligence",
  "Programming Languages"
]

Response

OK

The Skill Cluster adoption report for the requested Skill Cluster(s) and Custom Property.

report_name
string

Name of the report

Example:

"employee_skill_cluster_adoption"

report_data
object
last_update
string<date-time>
Example:

"2020-09-01T11:45:49Z"